AOZ Studio Beta - Bug #770

Stop Audio
06/05/2021 10:08 PM - malcolm harvey

Status: Closed Start date: 06/06/2021
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B8)

Description

Audio Stop now also is not functioning in V8.
Was working prior to V7 from the notes in discord.

History

#1 - 06/05/2021 10:09 PM - malcolm harvey
- Subject changed from Audio stop to Audio Stop

#2 - 06/06/2021 10:03 AM - malcolm harvey
- Subject changed from Audio Stop to Stop Audio

malcolm harvey wrote:

Stop Audio now also is not functioning in V8.
Was working prior to V7 from the notes in discord.

#3 - 06/06/2021 11:19 AM - malcolm harvey

re: Just checked again the below three commands definitely something changed between versions..V7 (ok) V8 (nope).

Play Audio "music" & Audio Loop On "music" and Stop Audio "music"

/lactor "magician",Image$="magic.png",X=200,Y=200,vrev=True
print "Loading..."

wait key

Load Asset "resources/assets/100.mp3","music”
Play Audio "music"

Audio Loop On "music"

print "loaded.."

/lwait 100

wait Key

print "playing"

wait key

Stop Audio "music"

/lprint "Stopped"

wait Key

end

#4 - 06/06/2021 11:57 AM - malcolm harvey

Note: Again, the below works and plays, but the Audio Loop on "music" and Stop Audio "music does not do anything in V8.

Load Asset "100.mp3","music"
Play Audio "music"

#5 - 06/25/2021 10:40 AM - malcolm harvey

- Status changed from New to Closed

Stop Audio "name" now seams to work in latest V8 update.
Closed for now. Also Audio Loop on "name" also now works corrected.
